Subject: bug#5809: 23.1.94; cross-reference by anchor yields in accurate position

From: "Drew Adams" <[email-masked]>
Date: Fri, 2 Apr 2010 08:26:11 -0700

> > Keep in mind too that in some documentation systems, which 
> > don't even have the fine-grained "node" size of Info (on
> > average), cross references generally do not
> > take you to an exact destination position. They just get 
> > you to the appropriate section.
> 
> That Info does support this feature is one of its advantages, and we
> should not lose it, IMO.  Without it, reading a large manual as a
> reference is a PITA.
> 
> Besides, it simply feels as a bug (and actually is): you are placed in
> the middle of a sentence that, more often than not, has nothing to do
> with the subject you are after.

I think everyone agrees that it is a desirable feature. If we can have both
exact cursor destination and breadcrumbs, that will be ideal. Both are useful
features.

It is somewhat disorienting to not have point land only nearby and not at
exactly the right spot. And it is disorienting to not immediately see where you
are in the document hierarchy (beyond just immediate up, next, and prev nodes).

We should aim to get both working properly together.